package cat.hack3.codingtests.marsrover;

import static cat.hack3.codingtests.marsrover.RotableRiderRover.Rotation.LEFT;

public class TurnLeftCommand implements MarsRoverCommand{
    private final RotableRiderRover rover;

    public TurnLeftCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.rotateTowards(LEFT);
    }
}
