package cat.hack3.codingtests.marsrover;

import static cat.hack3.codingtests.marsrover.RotableRiderRover.Rotation.RIGHT;

public class TurnRightCommand implements MarsRoverCommand{
    private final RotableRiderRover rover;

    public TurnRightCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.rotateTowards(RIGHT);
    }
}
